Name:           python-genutility
Version:        0.0.110
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A collection of various Python utilities

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ISC
URL:            https://github.com/Dobatymo/genutility
Source:         %{pypi_source genutility}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'genutility' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-genutility
Summary:        %{summary}

%description -n python3-genutility %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-genutility algorithms,all,archive,args,aria,asynchronous,atomic,av,bench,benchmarks,binary,browscap,bs4,cache,callbacks,casedict,cholesky,compat,concurrency,config,constants_physics,constants_video,cpython,crypto,csv,cv,datastructures,datetime,dbm,debug,dict,downloadmanager,encoder,error,exceptions,factorial,file,fileformats,filesdb,filesystem,fingerprinting,flask,func,gensim,geometry,graph,hash,html,http,image,imdb,implementationdetail,indexing,iter,json,latex,lda,locale,logging,markdown,math,mediainfo,metrics,metrictree,mongo,msgpack,multihash,net,networkx,nlp,nltk,numba,numpy,object,ops,os,os_mac,os_posix,os_shared,os_win,pandas,parquet,pdf,pickle,pillow,polars,powerpoint,profile,rand,rasa,regression,resizing,rich,ringlist,salesforce,scene_change_detection,scipy,scrapy,search,segment_tree,sequence,set,signal,sort,spark,sparql,sql,sqlite,statistics,stdio,string,subprocess,sudoku,sys,tensorflow,test,tests,text,text_segmentation,text_summarization,time,tls,toml,torch,torrent,tqdm,tree,twisted,twitch,typing,unicode,unqlite,url,videofile,widgets,win,win32,wsgi,xsl,yaml


%prep
%autosetup -p1 -n genutility-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x algorithms,all,archive,args,aria,asynchronous,atomic,av,bench,benchmarks,binary,browscap,bs4,cache,callbacks,casedict,cholesky,compat,concurrency,config,constants_physics,constants_video,cpython,crypto,csv,cv,datastructures,datetime,dbm,debug,dict,downloadmanager,encoder,error,exceptions,factorial,file,fileformats,filesdb,filesystem,fingerprinting,flask,func,gensim,geometry,graph,hash,html,http,image,imdb,implementationdetail,indexing,iter,json,latex,lda,locale,logging,markdown,math,mediainfo,metrics,metrictree,mongo,msgpack,multihash,net,networkx,nlp,nltk,numba,numpy,object,ops,os,os_mac,os_posix,os_shared,os_win,pandas,parquet,pdf,pickle,pillow,polars,powerpoint,profile,rand,rasa,regression,resizing,rich,ringlist,salesforce,scene_change_detection,scipy,scrapy,search,segment_tree,sequence,set,signal,sort,spark,sparql,sql,sqlite,statistics,stdio,string,subprocess,sudoku,sys,tensorflow,test,tests,text,text_segmentation,text_summarization,time,tls,toml,torch,torrent,tqdm,tree,twisted,twitch,typing,unicode,unqlite,url,videofile,widgets,win,win32,wsgi,xsl,yaml


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-genutility -f %{pyproject_files}


%changelog
%autochangelog